# Generated from jekyll-pwa-workbox-5.1.41.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-pwa-workbox

Name: rubygem-%{gem_name}
Version: 5.1.41
Release: 1%{?dist}
Summary: PWA Workbox Service Worker for Jekyll
License: MIT
URL: https://github.com/souldanger/jekyll-pwa-workbox
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A Jekyll plugin that makes your PWA / Website available offline and lets you
install on desktop and mobile. 
It generates and injects a precache list into a Workbox v5.1.4 service worker
and handles the registration process in a secure way.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 5.1.41-1
- Initial package
